Bug 847066 - [RFE] After new VM creation, select this VM in the power user portal
[RFE] After new VM creation, select this VM in the power user portal
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: Frontend.UserPortal (Show other bugs)
---
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: bugs@ovirt.org
Pavel Stehlik
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-09 11:06 EDT by David Jaša
Modified: 2016-12-04 15:39 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 847068 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑future?
sherold: Triaged+
ylavi: planning_ack?
djasa: devel_ack?
ylavi: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2012-08-09 11:06:14 EDT
Description of problem:
After new VM creation, select this VM. Currently, existing VM selection is preserved, meaning that if a user chooses to do anything in a VM sub-tab, he has to first click the VM. If another VM is selected prior to VM creation, user is likely to modify older VM instead of a newly created one.

This is mainly an ergonomic issue but it may lead to serious errors.

Version-Release number of selected component (if applicable):
si13.2:
rhevm-userportal-3.1.0-11.el6ev.noarch
rhevm-webadmin-portal-3.1.0-11.el6ev.noarch

How reproducible:
always

Steps to Reproduce:
1. select a VM "1" in User Portal
2. create v VM "2", hit OK
3.
  
Actual results:
VM "1" keeps being selected

Expected results:
VM "2" is selected (or alternatively no VM is selected but VM "2" is a better choice IMO)

Additional info:
webadmin is affected as well
Comment 1 David Jaša 2012-08-09 11:09:20 EDT
webadmin is also affected, it's tracked in bug 847068.
Comment 2 Itamar Heim 2013-02-10 02:03:30 EST
einav - thoughts?
Comment 3 Einav Cohen 2013-02-21 20:23:20 EST
need to decide if in addition to selecting the newly created item, the already-selected item(s) remain selected.

if previous selection is retained - probably need to make sure that the newly-created item becomes the "main" selected item (i.e. the sub-tabs are displayed in its context, etc.).

if previous selection is not retained, the newly-created item will become the "main" selected item by definition, since it will be the only selected item.
Comment 4 Itamar Heim 2013-12-01 04:14:52 EST
wouldn't this require the gui to wait on the entity creation/grid refresh (assuming the current search will show it)?
Comment 5 Itamar Heim 2013-12-01 05:07:06 EST
(In reply to Itamar Heim from comment #4)
> wouldn't this require the gui to wait on the entity creation/grid refresh
> (assuming the current search will show it)?

oh, that's on the webadmin, which is bug 847068.

anyway, thoughts on effort vs. impact?

Note You need to log in before you can comment on or make changes to this bug.